
TYPO3.Flow - Bug # 29158

Status: Resolved Priority: Must have
Author: Sascha Egerer Category: Persistence
Created: 2011-08-22 Assigned To: Karsten Dambekalns
Updated: 2011-08-23 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Exception is created but not thrown
Description

In the Flow3AnnotationDriver class an exception is created but not thrown because "throw" is missing.

Associated revisions
Revision e242e901 - 2011-08-22 15:36 - Sascha Egerer

[BUGFIX] Exception is created but not thrown

An instance of an Exception is created but
it is not thrown because the throw is missing.
Added throw in front of the Exception

Change-Id: Id62fe61f82b32d25d81a2426b56dbd7c6e43b92c
Fixes: #29158

History
#1 - 2011-08-22 17:45 - Sascha Egerer
- File issue_29158.diff added

Patch attached because i'm currently not able to commit to gerrit due to the pending status of my CLA

#2 - 2011-08-23 11:26 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

Thanks, I'll fix that.

#3 - 2011-08-23 12:11 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change Id62fe61f82b32d25d81a2426b56dbd7c6e43b92c has been pushed to the review server.
It is available at http://review.typo3.org/4547
#4 - 2011-08-23 12:13 - Sascha Egerer

Hi Karsten,

i'm now verified and sent the patch to hudson. Hope that is ok.

Regards
Sascha egerer

#5 - 2011-08-23 14:09 - Mr. Hudson

Patch set 1 of change I0b0a3019f50543bc595df7ae17a444bf593e1fab has been pushed to the review server.
It is available at http://review.typo3.org/4548

#6 - 2011-08-23 14:13 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Thanks.
